lazy val server =
  Project("ueb04-server", file("."))
    .settings(commonSettings:_*)
    .settings(
      libraryDependencies ++= Seq(
        "com.typesafe.akka" %% "akka-http-experimental" % "1.0-RC3",
        "com.lihaoyi" %% "upickle" % "0.2.8"
      ),
      (resourceGenerators in Compile) <+=
        (fastOptJS in Compile in client, packageScalaJSLauncher in Compile in client)
          .map((f1,f2) => Seq(f1.data,f2.data)),
      watchSources <++= (watchSources in client)
    ).dependsOn(shared)

lazy val client = 
  Project("ueb04-client", file("client"))
    .enablePlugins(ScalaJSPlugin)
    .settings(commonSettings:_*)
    .settings(
    	persistLauncher in Compile := true,
    	persistLauncher in Test := false,
    	libraryDependencies ++= Seq(
    		"org.scala-js" %%% "scalajs-dom" % "0.8.0",
        "com.lihaoyi" %%% "upickle" % "0.2.8"
    	)
    ).dependsOn(sharedJS)

lazy val shared =
  Project("ueb04-shared", file("shared"))
    .settings(commonSettings:_*)

lazy val sharedJS = 
  Project("ueb04-sharedJS", file("shared"))
    .enablePlugins(ScalaJSPlugin)
    .settings(commonSettings:_*)
    .settings(target ~= (_ / "targetJS"))

lazy val commonSettings = Seq(
	scalaVersion := "2.11.6"
)
