package ueb04

import scala.util.Random._

sealed trait Control
case class Move(dir: Dir) extends Control
case object Pause extends Control
case object Pickup extends Control
case object Quit extends Control

object Control { 
  def parseKeycode(i: Int) : Option[Control] = i.asInstanceOf[Any] match {
    case 38 => Some(Move(N))
    case 33 => Some(Move(NE))
    case 39 => Some(Move(E))
    case 34 => Some(Move(SE))
    case 40 => Some(Move(S))
    case 35 => Some(Move(SW))
    case 37 => Some(Move(W))
    case 36 => Some(Move(NW))
    case 32 | 80 | 13 => Some(Pickup)
    case 81 => Some(Quit)
    case _   => None
  }
}